@extends('layouts.layoutapp') {{-- Assuming you have a layout file --}}

@section('content')
    <div class="container-fluid py-4">
        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h5 class="card-title">Add New Client</h5>
                    </div>
                    <div class="card-body">
                        <form action="{{ route('client-store') }}" method="POST" enctype="multipart/form-data">
                            @csrf
                            <div class="row">
                                <div class="col-lg-6 row">
                                    <div class="col-lg-6 mb-3">
                                        <label for="first_name" class="form-label">First Name:</label>
                                        <input type="text" id="first_name" name="first_name" class="form-control"
                                            value="{{ old('first_name') }}" placeholder="Enter first name" required>
                                        @error('first_name') <span class="text-danger">{{ $message }}</span> @enderror
                                    </div>
                                    <div class="col-lg-6 mb-3">
                                        <label for="last_name" class="form-label">Last Name:</label>
                                        <input type="text" id="last_name" name="last_name" class="form-control"
                                            value="{{ old('last_name') }}" placeholder="Enter last name" required>
                                        @error('last_name') <span class="text-danger">{{ $message }}</span> @enderror
                                    </div>
                                    <div class="col-lg-6 mb-3">
                                        <label for="email" class="form-label">Email:</label>
                                        <input type="email" id="email" name="email" class="form-control"
                                            value="{{ old('email') }}" placeholder="Enter email address" required>
                                        @error('email') <span class="text-danger">{{ $message }}</span> @enderror
                                    </div>
                                    <div class="col-lg-6 mb-3">
                                        <label for="contact_no" class="form-label">Contact No:</label>
                                        <input type="number" id="contact_no" name="contact_no" class="form-control"
                                            value="{{ old('contact_no') }}" placeholder="Enter contact number" required>
                                        @error('contact_no') <span class="text-danger">{{ $message }}</span> @enderror
                                    </div>
                                    <div class="col-lg-6 mb-3">
                                        <label for="password" class="form-label">Password:</label>
                                        <input type="password" id="password" name="password" class="form-control"
                                            placeholder="Enter password" required>
                                        @error('password') <span class="text-danger">{{ $message }}</span> @enderror
                                    </div>
                                    <div class="col-lg-6 mb-3">
                                        <label for="password_confirmation" class="form-label">Confirm Password:</label>
                                        <input type="password" id="password_confirmation" name="password_confirmation"
                                            class="form-control" placeholder="Confirm password" required>
                                        @error('password_confirmation') <span class="text-danger">{{ $message }}</span>
                                        @enderror
                                    </div>
                                    <div class="col-lg-6 mb-3">
                                        <label for="website" class="form-label">Website:</label>
                                        <input type="text" id="website" name="website" class="form-control"
                                            value="{{ old('website') }}" placeholder="Enter website URL">
                                        @error('website') <span class="text-danger">{{ $message }}</span> @enderror
                                    </div>
                                    <div class="col-lg-6 mb-3">
                                        <label for="postal_code" class="form-label">Postal Code:</label>
                                        <input type="number" id="postal_code" name="postal_code" class="form-control"
                                            value="{{ old('postal_code') }}" placeholder="Enter postal code" required>
                                        @error('postal_code') <span class="text-danger">{{ $message }}</span> @enderror
                                    </div>
                                    <div class="col-lg-6 mb-3">
                                        <label for="country" class="form-label">Country:</label>
                                        <select id="country" name="country" class="form-control" required
                                            onchange="getStates(this.value)">
                                            <option value="" selected>Select country</option>
                                            @foreach ($countries as $country)
                                                <option value="{{ $country->id }}" {{ old('country') == $country->id ? 'selected' : '' }}>
                                                    {{ $country->name }}
                                                </option>
                                            @endforeach
                                        </select>
                                        @error('country') <span class="text-danger">{{ $message }}</span> @enderror
                                    </div>
                                    <div class="col-lg-6 mb-3">
                                        <label for="state" class="form-label">State:</label>
                                        <select id="state" name="state" class="form-select" required
                                            onchange="getCities(this.value)">
                                            <option value="" selected>Select state</option>
                                            @if(old('state'))
                                                <option value="{{ old('state') }}" selected>{{ old('state_name') }}</option>
                                            @endif
                                        </select>
                                        @error('state') <span class="text-danger">{{ $message }}</span> @enderror
                                    </div>
                                </div>
                                <div class="col-lg-6 row">
                                    <div class="col-12 mb-3">
                                        <label for="profile_image" class="form-label">Profile:</label>
                                        <div class="d-flex align-items-center">
                                            <div class="avatar-upload me-5">
                                                <div class="avatar-preview">
                                                    <img id="profilePreview"
                                                        src="{{ old('profile_image') ? asset('storage/' . old('profile_image')) : asset('assets/img/logos/profile.png') }}"
                                                        alt="Profile Image" class="img-fluid rounded-circle"
                                                        style="height:125px;">
                                                </div>
                                            </div>
                                            <div class="avatar-edit">
                                                <input type="file" id="profile_image" name="profile_image"
                                                    class="form-control file-upload-input" accept="image/*"
                                                    onchange="previewImage(this)">
                                            </div>
                                        </div>
                                        @error('profile_image') <span class="text-danger">{{ $message }}</span> @enderror
                                    </div>

                                    <div class="col-lg-6 mb-3">
                                        <label for="city" class="form-label">City:</label>
                                        <select id="city" name="city" class="form-select" required>
                                            <option value="" selected>Select city</option>
                                            @if(old('city'))
                                                <option value="{{ old('city') }}" selected>{{ old('city_name') }}</option>
                                            @endif
                                        </select>
                                        @error('city') <span class="text-danger">{{ $message }}</span> @enderror
                                    </div>
                                    <div class="col-lg-6 mb-3">
                                        <label for="company_name" class="form-label">Company Name:</label>
                                        <input type="text" id="company_name" name="company_name" class="form-control"
                                            value="{{ old('company_name') }}" placeholder="Enter company name" required>
                                        @error('company_name') <span class="text-danger">{{ $message }}</span> @enderror
                                    </div>
                                    <div class="col-lg-6 mb-3">
                                        <label for="address" class="form-label">Address:</label>
                                        <input type="text" id="address" name="address" class="form-control"
                                            value="{{ old('address') }}" placeholder="Enter address" required>
                                        @error('address') <span class="text-danger">{{ $message }}</span> @enderror
                                    </div>
                                    <div class="col-lg-6 mb-3">
                                        <label for="notes" class="form-label">Notes:</label>
                                        <input type="text" id="notes" name="notes" class="form-control"
                                            value="{{ old('notes') }}" placeholder="Enter any notes">
                                        @error('notes') <span class="text-danger">{{ $message }}</span> @enderror
                                    </div>
                                    <div class="col-lg-6 mb-3">
                                        <label for="gstin" class="form-label">GSTIN:</label>
                                        <input type="text" id="gstin" name="gstin" class="form-control"
                                            value="{{ old('gstin') }}" placeholder="Enter GSTIN number">
                                        @error('gstin') <span class="text-danger">{{ $message }}</span> @enderror
                                    </div>
                                    <div class="col-lg-6 mb-3">
                                        <label for="active_status" class="form-label">Active Status:</label>
                                        <select id="active_status" name="active_status" class="form-select">
                                            <option value="A" {{ old('active_status', 'A') == 'A' ? 'selected' : '' }}>Active
                                            </option>
                                            <option value="I" {{ old('active_status') == 'I' ? 'selected' : '' }}>Inactive
                                            </option>
                                        </select>
                                        @error('active_status') <span class="text-danger">{{ $message }}</span> @enderror
                                    </div>
                                </div>
                            </div>
                            <div class="row mt-3">
                                <div class="col-12 text-end">
                                    <button type="submit" class="btn btn-primary">Save Client</button>
                                    <a href="{{ route('client-index') }}" class="btn btn-secondary">Cancel</a>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @push('scripts')

        <script>
            function previewImage(input) {
                if (input.files && input.files[0]) {
                    const reader = new FileReader();
                    reader.onload = function (e) {
                        document.getElementById('profilePreview').src = e.target.result;
                    }
                    reader.readAsDataURL(input.files[0]);
                }
            }

            function getStates(countryId) {
                if (!countryId) {
                    document.getElementById('state').innerHTML = '<option value="">Select state</option>';
                    document.getElementById('city').innerHTML = '<option value="">Select city</option>';
                    return;
                }

                fetch(`/getStates/${countryId}`)
                    .then(response => response.json())
                    .then(data => {
                        const stateSelect = document.getElementById('state');

                        stateSelect.innerHTML = '<option value="">Select state</option>';
                        data.forEach(state => {
                            stateSelect.innerHTML += `<option value="${state.id}">${state.name}</option>`;
                        });
                    });
            }

            function getCities(stateId) {
                if (!stateId) {
                    document.getElementById('city').innerHTML = '<option value="">Select city</option>';
                    return;
                }

                fetch(`/getCities/${stateId}`)
                    .then(response => response.json())
                    .then(data => {
                        const citySelect = document.getElementById('city');
                        console.log(citySelect);

                        citySelect.innerHTML = '<option value="">Select city</option>';
                        data.forEach(city => {
                            citySelect.innerHTML += `<option value="${city.id}">${city.name}</option>`;
                        });
                    });
            }
        </script>
    @endpush

@endsection